aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-07-29 08:52:48 -0300
committerEuAndreh <eu@euandre.org>2023-07-29 08:52:48 -0300
commitcef76cd1b0ae32ba1d9733c9d09d62de24559743 (patch)
tree8922a05e83d3b1ea2e98660ed843606ee8046853
parentetc/sh/rc: When X is available, set the keyboard "Insert" key (diff)
downloaddotfiles-cef76cd1b0ae32ba1d9733c9d09d62de24559743.tar.gz
dotfiles-cef76cd1b0ae32ba1d9733c9d09d62de24559743.tar.xz
bin/*: Add matching parenthesis to case clauses
-rwxr-xr-xbin/8010
-rwxr-xr-xbin/archiveit10
-rwxr-xr-xbin/assert-arg10
-rwxr-xr-xbin/aux10
-rwxr-xr-xbin/backup12
-rwxr-xr-xbin/bins10
-rwxr-xr-xbin/boop16
-rwxr-xr-xbin/check10
-rwxr-xr-xbin/clamp10
-rwxr-xr-xbin/color12
-rwxr-xr-xbin/copy12
-rwxr-xr-xbin/dice10
-rwxr-xr-xbin/e10
-rwxr-xr-xbin/email14
-rwxr-xr-xbin/forever12
-rwxr-xr-xbin/free-port10
-rwxr-xr-xbin/gc10
-rwxr-xr-xbin/gen-password10
-rwxr-xr-xbin/git-cleanup10
-rwxr-xr-xbin/grun12
-rwxr-xr-xbin/highlight16
-rwxr-xr-xbin/htmlesc14
-rwxr-xr-xbin/httpno10
-rwxr-xr-xbin/ifnew12
-rwxr-xr-xbin/lc10
-rwxr-xr-xbin/lines10
-rwxr-xr-xbin/max10
-rwxr-xr-xbin/menu10
-rwxr-xr-xbin/min10
-rwxr-xr-xbin/mkdtemp10
-rwxr-xr-xbin/mkstemp10
-rwxr-xr-xbin/mnt10
-rwxr-xr-xbin/msg16
-rwxr-xr-xbin/n-times10
-rwxr-xr-xbin/ootb10
-rwxr-xr-xbin/open12
-rwxr-xr-xbin/player10
-rwxr-xr-xbin/playlist10
-rwxr-xr-xbin/pre12
-rwxr-xr-xbin/print14
-rwxr-xr-xbin/prompt10
-rwxr-xr-xbin/qr12
-rwxr-xr-xbin/re10
-rwxr-xr-xbin/reconfigure10
-rwxr-xr-xbin/record-my-screen10
-rwxr-xr-xbin/repos14
-rwxr-xr-xbin/rfc14
-rwxr-xr-xbin/serve14
-rwxr-xr-xbin/shesc10
-rwxr-xr-xbin/shot12
-rwxr-xr-xbin/slugify10
-rwxr-xr-xbin/stopwatch10
-rwxr-xr-xbin/tmp12
-rwxr-xr-xbin/tmpname10
-rwxr-xr-xbin/tuivid10
-rwxr-xr-xbin/uc10
-rwxr-xr-xbin/uninclude10
-rwxr-xr-xbin/untill14
-rwxr-xr-xbin/update10
-rwxr-xr-xbin/uuid10
-rwxr-xr-xbin/vcs14
-rwxr-xr-xbin/vm22
-rwxr-xr-xbin/volume10
-rwxr-xr-xbin/without-env10
-rwxr-xr-xbin/wms10
-rwxr-xr-xbin/yt14
66 files changed, 374 insertions, 374 deletions
diff --git a/bin/80 b/bin/80
index 31939cd..9cc8e55 100755
--- a/bin/80
+++ b/bin/80
@@ -39,27 +39,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/archiveit b/bin/archiveit
index a7b5a08..01ba458 100755
--- a/bin/archiveit
+++ b/bin/archiveit
@@ -32,27 +32,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/assert-arg b/bin/assert-arg
index 477a571..bc376b7 100755
--- a/bin/assert-arg
+++ b/bin/assert-arg
@@ -31,27 +31,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/aux b/bin/aux
index 4c652ca..73c91ca 100755
--- a/bin/aux
+++ b/bin/aux
@@ -40,27 +40,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/backup b/bin/backup
index ded7665..7b9339b 100755
--- a/bin/backup
+++ b/bin/backup
@@ -52,15 +52,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -69,18 +69,18 @@ VERBOSE_FLAGS='--verbose --progress'
COMMENT=''
while getopts 'qC:h' flag; do
case "$flag" in
- q)
+ (q)
VERBOSE_FLAGS=''
;;
C)
COMMENT="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/bins b/bin/bins
index 76909fd..bec082a 100755
--- a/bin/bins
+++ b/bin/bins
@@ -34,15 +34,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -53,12 +53,12 @@ while getopts 'Fh' flag; do
F)
FORCE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/boop b/bin/boop
index c9e6ff7..42abbd5 100755
--- a/bin/boop
+++ b/bin/boop
@@ -38,15 +38,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -55,21 +55,21 @@ SOUND=-s
SILENT=false
while getopts 'm:nxh' flag; do
case "$flag" in
- m)
+ (m)
MESSAGE="$OPTARG"
;;
- n)
+ (n)
SOUND=
;;
- x)
+ (x)
SILENT=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/check b/bin/check
index 869c12f..d6e314b 100755
--- a/bin/check
+++ b/bin/check
@@ -37,27 +37,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/clamp b/bin/clamp
index a2c8bee..e580552 100755
--- a/bin/clamp
+++ b/bin/clamp
@@ -47,27 +47,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/color b/bin/color
index a416079..6bbf146 100755
--- a/bin/color
+++ b/bin/color
@@ -169,15 +169,15 @@ list_colors() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -185,7 +185,7 @@ done
COLOR_FN=''
while getopts 'c:h' flag; do
case "$flag" in
- c)
+ (c)
EXISTS=false
for c in $COLOR_LIST; do
if [ "$OPTARG" = "$c" ]; then
@@ -199,12 +199,12 @@ while getopts 'c:h' flag; do
fi
COLOR_FN="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/copy b/bin/copy
index d7ffd61..1031fea 100755
--- a/bin/copy
+++ b/bin/copy
@@ -36,15 +36,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -52,15 +52,15 @@ done
TRIM=false
while getopts 'nh' flag; do
case "$flag" in
- n)
+ (n)
TRIM=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/dice b/bin/dice
index e0b3b6e..6fb3506 100755
--- a/bin/dice
+++ b/bin/dice
@@ -41,27 +41,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/e b/bin/e
index 3f8e93d..67d2d52 100755
--- a/bin/e
+++ b/bin/e
@@ -40,27 +40,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/email b/bin/email
index 7c6eca4..8535409 100755
--- a/bin/email
+++ b/bin/email
@@ -40,15 +40,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -57,18 +57,18 @@ FROM='eu@euandre.org'
SUBJECT='CLI email: No subject'
while getopts 'f:s:h' flag; do
case "$flag" in
- f)
+ (f)
FROM="$OPTARG"
;;
- s)
+ (s)
SUBJECT="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/forever b/bin/forever
index aad2a29..c323086 100755
--- a/bin/forever
+++ b/bin/forever
@@ -34,15 +34,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -50,15 +50,15 @@ done
QUIET=false
while getopts 'qh' flag; do
case "$flag" in
- q)
+ (q)
QUIET=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/free-port b/bin/free-port
index 1c2af61..30ed0ff 100755
--- a/bin/free-port
+++ b/bin/free-port
@@ -32,27 +32,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/gc b/bin/gc
index 548090f..0b3b9d4 100755
--- a/bin/gc
+++ b/bin/gc
@@ -42,27 +42,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/gen-password b/bin/gen-password
index 07ed9ab..758845c 100755
--- a/bin/gen-password
+++ b/bin/gen-password
@@ -39,27 +39,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/git-cleanup b/bin/git-cleanup
index f09fe9f..6a86d14 100755
--- a/bin/git-cleanup
+++ b/bin/git-cleanup
@@ -38,27 +38,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/grun b/bin/grun
index 5bae057..46576c1 100755
--- a/bin/grun
+++ b/bin/grun
@@ -45,30 +45,30 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'rh' flag; do
case "$flag" in
- r)
+ (r)
RECIPIENTS_FLAG="${RECIPIENTS_FLAG:-} -r $OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/highlight b/bin/highlight
index 70cf5ff..cefd37d 100755
--- a/bin/highlight
+++ b/bin/highlight
@@ -40,36 +40,36 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'n:e:f:h' flag; do
case "$flag" in
- n)
+ (n)
LINE_NUMBER="$OPTARG"
;;
- e)
+ (e)
PATTERN="$OPTARG"
;;
- f)
+ (f)
FILENAME="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/htmlesc b/bin/htmlesc
index 436ed54..5f3694f 100755
--- a/bin/htmlesc
+++ b/bin/htmlesc
@@ -43,15 +43,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -60,18 +60,18 @@ ENCODE=false
DECODE=false
while getopts 'edh' flag; do
case "$flag" in
- e)
+ (e)
ENCODE=true
;;
- d)
+ (d)
DECODE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/httpno b/bin/httpno
index a03d5cb..d854331 100755
--- a/bin/httpno
+++ b/bin/httpno
@@ -53,27 +53,27 @@ DATA() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/ifnew b/bin/ifnew
index 161a2ea..d93d037 100755
--- a/bin/ifnew
+++ b/bin/ifnew
@@ -55,15 +55,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -71,15 +71,15 @@ done
VERBOSE=false
while getopts 'vh' flag; do
case "$flag" in
- v)
+ (v)
VERBOSE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/lc b/bin/lc
index 993e7bc..1f7eae6 100755
--- a/bin/lc
+++ b/bin/lc
@@ -39,27 +39,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/lines b/bin/lines
index 7823a22..d0f46ab 100755
--- a/bin/lines
+++ b/bin/lines
@@ -41,27 +41,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/max b/bin/max
index d63f82d..ea0cba5 100755
--- a/bin/max
+++ b/bin/max
@@ -51,27 +51,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/menu b/bin/menu
index d9e18c4..875f084 100755
--- a/bin/menu
+++ b/bin/menu
@@ -44,27 +44,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/min b/bin/min
index fcb685d..d513cb7 100755
--- a/bin/min
+++ b/bin/min
@@ -51,27 +51,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/mkdtemp b/bin/mkdtemp
index 9c5f8c8..8e5fb48 100755
--- a/bin/mkdtemp
+++ b/bin/mkdtemp
@@ -31,27 +31,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/mkstemp b/bin/mkstemp
index ded9837..2c0cdbc 100755
--- a/bin/mkstemp
+++ b/bin/mkstemp
@@ -31,27 +31,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/mnt b/bin/mnt
index c8765c2..1e411cb 100755
--- a/bin/mnt
+++ b/bin/mnt
@@ -35,15 +35,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -53,12 +53,12 @@ while getopts 'U:h' flag; do
U)
UUID="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/msg b/bin/msg
index 6bf875f..4f09a1d 100755
--- a/bin/msg
+++ b/bin/msg
@@ -45,15 +45,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -86,7 +86,7 @@ while getopts '01XsSmDbh' flag; do
XMPP=true
ACTION_DONE=true
;;
- s)
+ (s)
SOUND=true
ACTION_DONE=true
;;
@@ -94,7 +94,7 @@ while getopts '01XsSmDbh' flag; do
SPEAK=true
ACTION_DONE=true
;;
- m)
+ (m)
MAIL=true
ACTION_DONE=true
;;
@@ -102,16 +102,16 @@ while getopts '01XsSmDbh' flag; do
DESKTOP=true
ACTION_DONE=true
;;
- b)
+ (b)
BELL=true
ACTION_DONE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/n-times b/bin/n-times
index 660b734..9a693ce 100755
--- a/bin/n-times
+++ b/bin/n-times
@@ -33,27 +33,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/ootb b/bin/ootb
index 959a210..bf3fb55 100755
--- a/bin/ootb
+++ b/bin/ootb
@@ -63,27 +63,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/open b/bin/open
index 4dc56db..23c579c 100755
--- a/bin/open
+++ b/bin/open
@@ -38,27 +38,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
@@ -103,7 +103,7 @@ for f in "$@"; do
mailto:*)
alot compose "$f"
;;
- *)
+ (*)
DIR="$(cd -- "$(dirname -- "$0")"; pwd)"
CMD="$(without-env PATH "$DIR" -- command -v xdg-open)"
"$CMD" "$f"
diff --git a/bin/player b/bin/player
index cc71c9d..b83e8c0 100755
--- a/bin/player
+++ b/bin/player
@@ -45,27 +45,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'P:h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/playlist b/bin/playlist
index ebe0902..bfb609e 100755
--- a/bin/playlist
+++ b/bin/playlist
@@ -39,27 +39,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/pre b/bin/pre
index fdbd3d9..e610fab 100755
--- a/bin/pre
+++ b/bin/pre
@@ -38,15 +38,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -54,15 +54,15 @@ done
COLOR=''
while getopts 'c:h' flag; do
case "$flag" in
- c)
+ (c)
COLOR="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/print b/bin/print
index f643edd..5aef102 100755
--- a/bin/print
+++ b/bin/print
@@ -94,15 +94,15 @@ main() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -111,10 +111,10 @@ QUALITY_SET=false
DUPLEX=
while getopts 'dq:h' flag; do
case "$flag" in
- d)
+ (d)
DUPLEX=1
;;
- q)
+ (q)
QUALITY_SET=true
case "$OPTARG" in
low)
@@ -132,12 +132,12 @@ while getopts 'dq:h' flag; do
;;
esac
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/prompt b/bin/prompt
index 326908a..1388ba2 100755
--- a/bin/prompt
+++ b/bin/prompt
@@ -36,27 +36,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/qr b/bin/qr
index 26c7e22..540c8a7 100755
--- a/bin/qr
+++ b/bin/qr
@@ -36,15 +36,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -52,15 +52,15 @@ done
PIXEL_SIZE=10
while getopts 's:h' flag; do
case "$flag" in
- s)
+ (s)
PIXEL_SIZE="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/re b/bin/re
index fd528bf..774c02c 100755
--- a/bin/re
+++ b/bin/re
@@ -43,27 +43,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/reconfigure b/bin/reconfigure
index ca38cb1..daed9b7 100755
--- a/bin/reconfigure
+++ b/bin/reconfigure
@@ -40,15 +40,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -59,12 +59,12 @@ while getopts 'Uh' flag; do
U)
UPDATE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/record-my-screen b/bin/record-my-screen
index 8b8a525..347fd7a 100755
--- a/bin/record-my-screen
+++ b/bin/record-my-screen
@@ -32,27 +32,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/repos b/bin/repos
index e45f4c8..25f7725 100755
--- a/bin/repos
+++ b/bin/repos
@@ -41,15 +41,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -102,7 +102,7 @@ EXCLUDE=
VERBOSE=false
while getopts 'e:vh' flag; do
case "$flag" in
- e)
+ (e)
case "$OPTARG" in
*/)
ARG="$OPTARG"
@@ -113,15 +113,15 @@ while getopts 'e:vh' flag; do
esac
EXCLUDE="$(arr_push "$EXCLUDE" "$ARG")"
;;
- v)
+ (v)
VERBOSE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/rfc b/bin/rfc
index fd36ac7..a3f71ef 100755
--- a/bin/rfc
+++ b/bin/rfc
@@ -92,33 +92,33 @@ check_local_db() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'wuh' flag; do
case "$flag" in
- w)
+ (w)
WHERE=true
;;
- u)
+ (u)
UPDATE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/serve b/bin/serve
index 25e8fe7..efece93 100755
--- a/bin/serve
+++ b/bin/serve
@@ -40,15 +40,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -57,18 +57,18 @@ DIRECTORY='.'
PORT="$(free-port)"
while getopts 'd:p:h' flag; do
case "$flag" in
- d)
+ (d)
DIRECTORY="$OPTARG"
;;
- p)
+ (p)
PORT="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/shesc b/bin/shesc
index 5849b64..b7a4a1b 100755
--- a/bin/shesc
+++ b/bin/shesc
@@ -41,27 +41,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/shot b/bin/shot
index 91f3310..5bb1ae3 100755
--- a/bin/shot
+++ b/bin/shot
@@ -40,15 +40,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -56,15 +56,15 @@ done
OPTS=
while getopts 'mh' flag; do
case "$flag" in
- m)
+ (m)
OPTS='-s'
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/slugify b/bin/slugify
index 834e4bc..f4a4d8b 100755
--- a/bin/slugify
+++ b/bin/slugify
@@ -37,27 +37,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
esac
diff --git a/bin/stopwatch b/bin/stopwatch
index 14182d2..88c5848 100755
--- a/bin/stopwatch
+++ b/bin/stopwatch
@@ -32,27 +32,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/tmp b/bin/tmp
index cf46d8a..7855471 100755
--- a/bin/tmp
+++ b/bin/tmp
@@ -39,15 +39,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -56,17 +56,17 @@ REMOTE='euandre.org'
DIR='/srv/www/tmp'
while getopts 'dh' flag; do
case "$flag" in
- d)
+ (d)
printf 'Deleting %s:%s...\n' "$REMOTE" "$DIR/" >&2
ssh "$REMOTE" rm -rf "$DIR"/*
exit
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
exit 2
;;
esac
diff --git a/bin/tmpname b/bin/tmpname
index ea3f0aa..5b732a5 100755
--- a/bin/tmpname
+++ b/bin/tmpname
@@ -36,27 +36,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/tuivid b/bin/tuivid
index 5bfaf4b..667d2e4 100755
--- a/bin/tuivid
+++ b/bin/tuivid
@@ -34,27 +34,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/uc b/bin/uc
index bf577ba..b17e069 100755
--- a/bin/uc
+++ b/bin/uc
@@ -39,27 +39,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/uninclude b/bin/uninclude
index 812f51b..ce8b633 100755
--- a/bin/uninclude
+++ b/bin/uninclude
@@ -43,15 +43,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -61,12 +61,12 @@ while getopts 'E:h' flag; do
E)
REGEXP="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/untill b/bin/untill
index 9980c81..9290cfe 100755
--- a/bin/untill
+++ b/bin/untill
@@ -43,15 +43,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -59,18 +59,18 @@ done
_SECONDS=5
while getopts 'm:n:h' flag; do
case "$flag" in
- m)
+ (m)
MAX="$OPTARG"
;;
- n)
+ (n)
_SECONDS="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/update b/bin/update
index a185612..d5e45f0 100755
--- a/bin/update
+++ b/bin/update
@@ -35,27 +35,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/uuid b/bin/uuid
index f4c7809..bdd0090 100755
--- a/bin/uuid
+++ b/bin/uuid
@@ -31,27 +31,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/vcs b/bin/vcs
index 23ad8f8..7c9bce6 100755
--- a/bin/vcs
+++ b/bin/vcs
@@ -214,15 +214,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -232,24 +232,24 @@ while getopts 'C:lth' flag; do
C)
cd "$OPTARG"
;;
- l)
+ (l)
# shellcheck disable=2086
echo $TYPES | tr ' ' '\n'
exit
;;
- t)
+ (t)
guess_type "$PWD" || {
printf 'Could not guess the type of the repository.\n' >&2
exit 2
}
exit
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
esac
diff --git a/bin/vm b/bin/vm
index f45fd47..b123ee5 100755
--- a/bin/vm
+++ b/bin/vm
@@ -95,15 +95,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -120,31 +120,31 @@ while getopts 'Gi:m:np:Svh' flag; do
G)
GRAPHICS=true
;;
- i)
+ (i)
IMAGE="$OPTARG"
;;
- m)
+ (m)
MEMORY="$OPTARG"
;;
- n)
+ (n)
DRY_RUN=true
VERBOSE=true
;;
- p)
+ (p)
PORTMAPS="$PORTMAPS $OPTARG"
;;
S)
SNAPSHOT=false
;;
- v)
+ (v)
VERBOSE=true
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
@@ -186,7 +186,7 @@ guess_arch() {
amd64)
printf 'x86_64'
;;
- *)
+ (*)
printf '%s' "$NAME"
;;
esac
diff --git a/bin/volume b/bin/volume
index cd2a44d..2986827 100755
--- a/bin/volume
+++ b/bin/volume
@@ -46,27 +46,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/without-env b/bin/without-env
index 4e7ed15..99fe884 100755
--- a/bin/without-env
+++ b/bin/without-env
@@ -42,27 +42,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/wms b/bin/wms
index 4eb0eae..0369210 100755
--- a/bin/wms
+++ b/bin/wms
@@ -38,27 +38,27 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
while getopts 'h' flag; do
case "$flag" in
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;
diff --git a/bin/yt b/bin/yt
index 83b32cb..ff52bf0 100755
--- a/bin/yt
+++ b/bin/yt
@@ -44,15 +44,15 @@ help() {
for flag in "$@"; do
case "$flag" in
- --)
+ (--)
break
;;
- --help)
+ (--help)
usage
help
exit
;;
- *)
+ (*)
;;
esac
done
@@ -60,18 +60,18 @@ done
PLAYLIST_COUNT=15
while getopts 'fn:h' flag; do
case "$flag" in
- f)
+ (f)
FORCE=1
;;
- n)
+ (n)
PLAYLIST_COUNT="$OPTARG"
;;
- h)
+ (h)
usage
help
exit
;;
- *)
+ (*)
usage >&2
exit 2
;;